Package javax.mail

# Class MessagingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.mail.MessagingException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AuthenticationFailedException`, `FolderClosedException`, `FolderNotFoundException`, `IllegalWriteException`, `MailConnectException`, `MessageRemovedException`, `MethodNotSupportedException`, `NoSuchProviderException`, `ParseException`, `ReadOnlyFolderException`, `SearchException`, `SendFailedException`, `SMTPAddressSucceededException`, `StoreClosedException`

public class MessagingException extends Exception
The base class for all exceptions thrown by the Messaging classes

Author:
  John Mani, Bill Shannon
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MessagingException()`
Constructs a MessagingException with no detail message.
`MessagingException(String s)`
Constructs a MessagingException with the specified detail message.
`MessagingException(String s, Exception e)`
Constructs a MessagingException with the specified Exception and detail message.

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getCause()`
Overrides the `getCause` method of `Throwable` to return the next exception in the chain of nested exceptions.
`Exception`
`getNextException()`
Get the next exception chained to this one.
`boolean`
`setNextException(Exception ex)`
Add an exception to the end of the chain.
`String`
`toString()`
Override toString method to provide information on nested exceptions.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MessagingException

public MessagingException()
Constructs a MessagingException with no detail message.

### MessagingException

public MessagingException(String s)
Constructs a MessagingException with the specified detail message.

Parameters:
  `s` - the detail message

### MessagingException

public MessagingException(String s, Exception e)
Constructs a MessagingException with the specified Exception and detail message. The specified exception is chained to this exception.

Parameters:
  `s` - the detail message
  `e` - the embedded exception
See Also:
  - `getNextException()`
  - `setNextException(java.lang.Exception)`
  - `getCause()`

## Method Details

### getNextException

public Exception getNextException()
Get the next exception chained to this one. If the next exception is a MessagingException, the chain may extend further.

Returns:
  next Exception, null if none.

### getCause

public Throwable getCause()
Overrides the `getCause` method of `Throwable` to return the next exception in the chain of nested exceptions.

Overrides:
  `getCause` in class `Throwable`
Returns:
  next Exception, null if none.

### setNextException

public boolean setNextException(Exception ex)
Add an exception to the end of the chain. If the end is not a MessagingException, this exception cannot be added to the end.

Parameters:
  `ex` - the new end of the Exception chain
Returns:
  `true` if this Exception was added, `false` otherwise.

### toString

public String toString()
Override toString method to provide information on nested exceptions.

Overrides:
  `toString` in class `Throwable`